> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Study

Update the configuration or metadata of an existing study. Only provided fields will be updated.


## OpenAPI

````yaml PUT /api/v1/studies/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/studies/{id}:
    put:
      tags:
        - Studies
      summary: Update Study
      operationId: update_study_api_v1_studies__id__put
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStudyReqV1'
            example:
              config:
                primaryColor: '#FF0000'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                id: study_123
                title: My Study
                metadata: {}
                type: VERSIVE_STUDY
                mode: TEXT_AND_VOICE
                created_at: '2024-01-01T00:00:00Z'
                description: A study about preferences.
                config:
                  interviewName: Interviewer
                  primaryColor: '#0E9489'
                welcome_message:
                  title: Welcome
                  body: Thanks for participating.
                thank_you_message:
                  title: Thank You
                  body: Goodbye.
                screen_out_message:
                  title: Screened Out
                  body: Sorry.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateStudyReqV1:
      properties:
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
      type: object
      title: UpdateStudyReqV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````